import { jsx } from "react/jsx-runtime";
import { TokenDINGO as TokenDINGO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDINGO = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DINGO", "data-name": "TokenDINGO", ...props, children: /* @__PURE__ */ jsx(TokenDINGO$1, { variant }) });
  }
);
TokenDINGO.displayName = "TokenDINGO";
Object.assign(TokenDINGO, { isGdsIcon: true });
export {
  TokenDINGO
};
